import java.awt.Graphics;

public abstract class Feld {  //ein Feld im Spielfeld 
	
	protected int x, y;  // Koordinaten
	
	public static final int height = 18; // Hoehe eines Feldes
	public static final int width  = 9;  // Breite eines Feldes
	public static final int xOffset = 5; // Abstand vom linken Rand
	public static final int yOffset = 20; // Abstand vom oberen Rand
	
	public Feld(int x, int y) { this.x = x; this.y = y; }
	
	public int getx() { return x; }
	public int gety() { return y; }

	public abstract void Paint(Graphics g); // zeichnet das Feld
}
