import java.awt.Graphics;
import java.awt.Color;

public class Zahl extends Feld { // Feld, in dem eine Zahl ist
	
	protected int number;    // welche Zahl
	
	public Zahl(int x, int y, int number) {
		super(x,y);
		this.number = number;
	}
	
	public int getNumber() { return number; }
	
	public void Paint(Graphics g) {
		g.setColor(Color.white); // Feld zeichnen mit Farbe des Nichts
		g.fillRect(x*width + xOffset, y*height + yOffset, width, height);
		g.setColor(Color.red); // Zahl zeichnen in Rot
		g.drawString(Integer.toString(number), x*width + xOffset + 1, (y+1) * height + yOffset - 2);
	}
}
